%define cvs 20070113

Name:		rt2400
Version:	1.2.2.cvs%cvs
Release:	1%{?dist}
Summary:	Diagnostic tools for Ralink Wireless devices
Group:		System Environment/Base
License:	GPL
URL:		http://rt2x00.serialmonkey.com/
#Source0:	http://rt2x00.serialmonkey.com/rt2400-cvs-daily.tar.gz
#Rename daily to %{cvs} version of the tarball.
#Cleaned tarball from CVS entries.
Source0:	http://kwizart.free.fr/fedora/SOURCES/rt2400-cvs-%{cvs}.tar.bz2
Source1:	rt2400-snapshot.sh
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: 	qt-devel
BuildRequires:	glibc-headers

Provides:	rt2400-kmod-common = %{version}
Requires:	rt2400-kmod >= %{version}
Requires:	%{_bindir}/consolehelper
# ppc version may be very buggy
#Exclusivearch:	i586 i686 x86_64

%description
This package contains the Ralink rt2400 Driver for WiFi, a linux
device driver for 802.11a/b/g universal NIC cards - either Cardbus,
PCI or MiniPCI - that use rt2400 chipsets.

This is the rt2400-kmod-common package.This contain the Utility to set RT2400

%prep
%setup -q -n %{name}-cvs-%{cvs}
mv Utility/How_To_Compile.txt .
mv Module/TESTING .
mv Module/docs/iwconfig_usage.txt .
sed -i 's/\r//' LICENSE
sed -i 's/\r//' How_To_Compile.txt
sed -i 's/\r//' iwconfig_usage.txt

%build
qmake -o Utility/Makefile Utility/raconfig2400.pro
make -C Utility
# %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
#make -C Utility install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
install -m 755 Utility/RaConfig2400 $RPM_BUILD_ROOT%{_sbindir}
#mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/Wireless/RT2400STA
#install -m 644 Module/RT2400STA.dat $RPM_BUILD_ROOT%{_sysconfdir}/Wireless/RT2400STA
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/network-scripts
install -D -p -m 0644 Module/ifcfg-ra0 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/network-scripts
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/rt2400
install -D -p -m 0644 Utility/ico/*.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps/rt2400
install -D -p -m 0644 Utility/ico/*.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/rt2400
ln -s rt2400/RaConfig2400.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps/RaConfig2400.xpm

cat > %{name}-modprobe.d <<EOF
# rt2400 Ralink wireless 
alias ra0 rt2400
#options rt2400 autocreate=sta
EOF

install -D -p -m 0644 %{name}-modprobe.d $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/rt2400

cat > RaConfig2400.console <<EOF
USER=root
PROGRAM=%{_sbindir}/RaConfig2400
SESSION=true
EOF

install -D -p -m 0644 RaConfig2400.console $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/RaConfig2400

cat > RaConfig2400.pam <<EOF
#%PAM-1.0
auth		include		config-util
account		include		config-util
session		include		config-util
EOF

install -p -D -m 0644 RaConfig2400.pam ${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d/RaConfig2400
ln -s ./consolehelper ${RPM_BUILD_ROOT}%{_bindir}/RaConfig2400

cat > %{name}.desktop <<EOF
[Desktop Entry]
Name=RaConfig2400
Version=%{version}
GenericName=Config tool 
Exec=RaConfig2400
Terminal=false
Icon=RaConfig2400.xpm
Type=Application
Encoding=UTF-8
Categories=Application;System;
EOF

#desktop-file-install --vendor fedora			\
#	--dir $RPM_BUILD_ROOT%{_datadir}/applications	\
#	*%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc THANKS CHANGELOG FAQ LICENSE How_To_Compile.txt TESTING iwconfig_usage.txt
%doc *%{name}.desktop
%attr(755,root,root) 
%{_sbindir}/RaConfig2400
%{_bindir}/RaConfig2400
%{_datadir}/pixmaps/%{name}/*.xpm
%{_datadir}/pixmaps/%{name}/*.png
%{_datadir}/pixmaps/RaConfig2400.xpm
%config %{_sysconfdir}/modprobe.d/rt2400
%config %{_sysconfdir}/sysconfig/network-scripts/ifcfg-ra0
#%config(noreplace)%{_sysconfdir}/Wireless/RT2400STA/RT2400STA.dat
%config %{_sysconfdir}/pam.d/RaConfig2400
%config %{_sysconfdir}/security/console.apps/RaConfig2400
#%{_datadir}/applications/*%{name}.desktop


%changelog
* Sat Jan 13 2007 kwizart < kwizart at gmail.com > - 1.2.2.cvs20070113-1
- Update to 20070113

* Mon Nov 20 2006 kwizart < kwizart at gmail.com > - 1.2.2.cvs20061120-5.fc6
- Update to 2006112014.
- Drop RuilT

* Sun Aug 27 2006 kwizart < kwizart at gmail.com > - 1.2.2.cvs2006082716-5_FC5
- Update to cvs 2006082716.
- Drop link to RaConfig2400 ( but is still built).
- Requires RutilT.
- inital release.

